Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class FocusListener.Stub

    java.lang.Object
      org.eclipse.draw2d.FocusListener.Stub

All Implemented Interfaces:
  FocusListener

Enclosing interface:
  FocusListener

    public static class FocusListener.Stub

extends Object
implements FocusListener

An empty implementation of FocusListener for convenience.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.FocusListener
`FocusListener.Stub`

Constructor Summary
`FocusListener.Stub()`

Method Summary
`void` `focusGained(FocusEvent fe)` Called when the listened to object has gained focus.
`void` `focusLost(FocusEvent fe)` Called when the listened to object has lost focus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusListener.Stub

    public FocusListener.Stub()

Method Detail

### focusGained

    public void focusGained(FocusEvent fe)

  Description copied from interface: `FocusListener`
  Called when the listened to object has gained focus.

  Specified by:
    `focusGained` in interface `FocusListener`
  Parameters:
    `fe` - The FocusEvent object
  See Also:
    `FocusListener.focusGained(FocusEvent)`

### focusLost

    public void focusLost(FocusEvent fe)

  Description copied from interface: `FocusListener`
  Called when the listened to object has lost focus.

  Specified by:
    `focusLost` in interface `FocusListener`
  Parameters:
    `fe` - The FocusEvent object
  See Also:
    `FocusListener.focusLost(FocusEvent)`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.